%define name drivel
%define version 2.0.2
%define release 1mdk

%define Summary A live journal for Gnome

Summary: 	%Summary
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Networking/Other
URL:		http://www.dropline.net/drivel/index.php

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtkspell-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	curl-devel 
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	rhythmbox

%description
Drivel is a LiveJournal client for the GNOME Desktop. 
Its purpose is to retain a simple and elegant design 
while providing the same level of functionality as 
the offical LiveJournal clients. Drivel also integrates 
tightly with the GNOME Desktop technologies. 

%prep
%setup -q

%build
%configure2_5x --disable-mime-update --disable-desktop-update

%make WARN_CFLAGS=""

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true 

%find_lang %name --with-gnome

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section="Internet/Other" \
title="Drivel" \
longtitle="%Summary"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
%{_bindir}/update-desktop-database %_datadir/applications > /dev/null
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%clean_menus
%{_bindir}/update-desktop-database %_datadir/applications > /dev/null
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)

%doc AUTHORS COPYING MAINTAINERS NEWS README TODO
%{_sysconfdir}/gconf/schemas/drivel.schemas
%{_bindir}/drivel
%{_datadir}/drivel
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/applications/gnome-drivel.desktop
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/application-registry/*
%{_datadir}/omf/%{name}/%{name}-C.omf
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Thu Aug 11 2005 Abel Cheung <deaddog@mandriva.org> 2.0.2-1mdk
- New release 2.0.2

* Thu Jun 30 2005 Abel Cheung <deaddog@mandriva.org> 2.0.1-1mdk
- 2.0.1
- Update mime database too

* Thu Jun 09 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-1mdk
- 2.0.0

* Tue Jun 07 2005 Lenny Cartier <lenny@mandriva.com> 1.3.91-1mdk
- 1.3.91

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 1.3.90-1mdk
- 1.3.90

* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- fix buildrequires

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- update file list
- fix mime database handling
- New release 1.3.1

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-2mdk 
- Rebuild for latest howl

* Sat Dec 04 2004 Jerome Soyer <saispo@mandrake.org> 1.2.3-1mdk
- New version

* Wed Oct 27 2004 Jerome Soyer <saispo@mandrake.org> 1.2.2-1mdk
- New Version

* Fri Oct 01 2004 Jerome Soyer <saispo@mandrake.org> 1.2.1-1mdk
- new version

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 1.2.0-1mdk
- new version

* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-2mdk
- BuildRequires

* Sat Aug 14 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-1mdk
- new version

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-2mdk
- fix section and group

* Sat Aug 07 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-1mdk
- first build
